## rustc-1.84 1.84.0+dfsg0ubuntu1

=== debian/changelog ===
rustc-1.84 (1.84.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.0 (LP: #2093796)
  * d/patches: refresh early patches
  * d/patches: remove windows dependencies for Rust 1.84
  * d/copyright: remove Windows library source files
  * d/patches: refresh patches after deleting Windows sources
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.84
  * d/config.toml.in: use download-rustc option to avoid downloading
    upstream rustc binaries
  * d/copyright: update copyright information for vendor libraries

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 10 Jan 2025 15:28:21 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/rust-X.Y-src.links.in: add one more symlink that creates the 
    lib/rustlib/src/rust path to help with the Linux kernel build system
    (LP: #2090791)
  * d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch: add a patch to
    update libgit2 to 1.9 (LP: #2093205)
  * d/control.in: update libgit2 to 1.9

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 07 Jan 2025 11:39:05 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.83.0 (LP: #2091414)
  * d/patches: refresh and rebase patches
  * d/copyright: update list of unused vendored dependencies
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.83
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: update the patch
    to remove more Windows dependencies
  * d/config.toml.in: disable GCC backend and enable LLVM Enzyme
  * d/copyright: update copyright information
  * d/bin/cargo: fix LTO argument passing
  * d/config.toml.in: re-enable wasm-component-ld to avoid test regressions
  * d/config.toml.in: using the new option to disable LLVM binary download
  * d/p/ubuntu/ubuntu-enzyme-use-system-llvm.patch: new patch force LLVM Enzyme
    to use system LLVM

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 10 Dec 2024 11:22:54 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.82.0 (LP: #2088229)
  * d/rules: correctly pass the LLVM_PROFILER_RT_LIB variable to Rust build system
  * debian/patches/behaviour/d-rustc-add-soname.patch: patch the new test, the test is detecting this patch negatively
  * debian/patches/build/d-bootstrap-custom-debuginfo-path.patch: don't patch debuginfo test, it works correctly now
  * d/control.in: update to use libgit2 1.8.x
  * d/rules,*.in: upgrade to LLVM 19
  * d/p/ubuntu/ubuntu-fix-simd-test.patch: add a patch to fix SIMD FFI test
  * d/control.in: update vendored dependency list
  * d/{control,s/lintian-overrides}: re-generate files for rustc-1.82
  * d/patches: refresh patches
  * d/patches: remove obsoleted patches
    - upstream/u-add-missing-f16-intrinsics.patch
    - upstream/u-add-f16-f128-handling-in-a-couple-places.patch
    - upstream/Revert-loongarch-add-frecipe-and-relax-target-feature.patch
    - ubuntu/ubuntu-add-s390x-allowed-features.patch
    - upstream/u-disable-f16-f128-on-unsupported-platforms.patch
  * d/copyright: update the list of unused vendored dependencies
  * d/copyright: update copyright information
  * d/s/lintian-overrides: override new false-positives
  * d/p/prune/d-0020-remove-windows-dependencies.patch: refresh the patch

  [ Fabian Grünbichler ]
  * set LLVM profiler RT path via config
    instead of via the environment, adapting to corresponding upstream changes, and
    adapt the config change-id accordingly.
    Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 14 Nov 2024 15:26:51 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.81.0 (LP: #2080415)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/control: re-generate files for rustc-1.81
    - d/p/ubuntu/ubuntu-libgit2-downgrade.patch: downgrade libgit2
      requirements to 1.7
    - d/config.toml.in: update change ID to suppress warnings
    - d/copyright: update copyright information
    - d/s/lintian-overrides.in: add new overrides for test data
    - d/p/upstream/u-limit-f16-doctests-to-x86.patch,
      d/p/vendor/u-hurd-gix-index.patch: remove unneeded patches

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 09 Sep 2024 10:19:09 -0600

rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.80.1 (LP: #2076206)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/copyright: delete src/tools/rustc-perf we don't need this upstream
      benchmarking facility (not used anywhere)
    - d/control: re-generate files for rustc-1.80
    - d/p/series: remove opener-cherry-pick-fix-to-avoid-vendored-dbus.patch
  * d/p/upstream/u-add-missing-f16-intrinsics.patch,
    d/p/upstream/u-add-f16-f128-handling-in-a-couple-places.patch,
    d/p/upstream/u-limit-f16-doctests-to-x86.patch,
    d/p/upstream/u-disable-f16-f128-on-unsupported-platforms.patch:
    backported patches from upstream to fix compiler crash from LLVM
    mishandling f16 lowering on some platforms
  * d/p/ubuntu/ubuntu-fix-f16-fallback-intrinsics.patch: add a patch to fix
    LLVM misoptimizations

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 08 Aug 2024 08:56:51 -0600

rustc-1.79 (1.79.0+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.79.0 (LP: #2076205)
  * d/p/ubuntu/ubuntu-add-s390x-allowed-features.patch: backport the patch
  * d/p/ubuntu/ubuntu-disable-ppc64el-asm-tests.patch: refresh the patch
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: refresh the patch
  * d/copyright: update the list of unused Rust dependencies
  * d/control.in: update vendored dependency list
  * d/p/build/d-bootstrap-disable-git.patch: fix the patch so that version
    information is still included correctly when building under


## rustc-1.84 1.84.1%2Bdfsg0ubuntu1~bpo2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The build regressed back when LTO was systematized in Ubuntu.
# This should be periodically revisited.
export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
SED_VERSION_SHORT := sed -re 's/([^.]+)\.([^.]+)\..*/\1.\2/'
RUST_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | $(SED_VERSION_SHORT))
RUST_LONG_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -re 's/([^+]+).*/\1/')
RUST_PREV_VERSION=$(shell echo '$(RUST_LONG_VERSION)' | awk 'BEGIN{FS="."} {print $$1"."($$2)-1}')
RUST_NEXT_VERSION=$(shell echo '$(RUST_LONG_VERSION)' | awk 'BEGIN{FS="."} {print $$1"."($$2)+1}')
LIBSTD_PKG := libstd-rust-$(RUST_VERSION)
# Sed expression that matches the "rustc" we have in our Build-Depends field
SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc:native .*,/p}" debian/control
# Version of /usr/bin/rustc
LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')

include /usr/share/dpkg/buildflags.mk
# needed for cross-compilation to avoid passing host CFLAGS to the BUILD
# compiler
export TARGET_CFLAGS = $(CFLAGS)
export TARGET_CXXFLAGS = $(CXXFLAGS)
export TARGET_CPPFLAGS = $(CPPFLAGS)
export TARGET_LDFLAGS = $(LDFLAGS)
unexport CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export CARGO_HOME = $(CURDIR)/debian/cargo

# Defines DEB_*_RUST_TYPE triples
include debian/architecture.mk
# for dh_install substitution variable
export DEB_HOST_RUST_TYPE

# Let rustbuild control whether LLVM is compiled with debug symbols, rather
# than compiling with debug symbols unconditionally, which will fail on
# 32-bit architectures
CFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')
CXXFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')

# for dh_install substitution variable
export RUST_LONG_VERSION
export RUST_VERSION

DEB_DESTDIR := $(CURDIR)/debian/tmp

# # Use system LLVM (comment out to use vendored LLVM)
# LLVM_VERSION = 19
# OLD_LLVM_VERSION = $(shell echo "$$(($(LLVM_VERSION)-1))")
# # used by the upstream profiler build script
# CLANG_RT_TRIPLE := $(shell llvm-config-$(LLVM_VERSION) --host-target)
# LLVM_PROFILER_RT_LIB = /usr/lib/clang/$(LLVM_VERSION)/lib/$(CLANG_RT_TRIPLE)/libclang_rt.profile.a
# ifneq ($(wildcard $(LLVM_PROFILER_RT_LIB)),)
# # Clang per-target layout
# export LLVM_PROFILER_RT_LIB := /../../$(LLVM_PROFILER_RT_LIB)
# else
# # Clang legacy layout
# CLANG_RT_ARCH := $(shell echo '$(CLANG_RT_TRIPLE)' | cut -f1 -d-)
# ifeq ($(DEB_HOST_ARCH),armhf)
# CLANG_RT_ARCH := armhf
# endif
# export LLVM_PROFILER_RT_LIB := /usr/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a
# endif
 
# Cargo-specific flags
export LIBSSH2_SYS_USE_PKG_CONFIG=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH),riscv64)
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := -j 4
endif
endif
RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
# rust-tidy depends on lots of modules that we strip out of the build.
# it also tries to access the network for some reason. so just disable it.
RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
# See src/bootstrap/README.md for more options.
RUSTBUILD_TEST_FLAGS =

# https://github.com/rust-lang/rust/issues/89744
# TODO: remove when we update cargo to 1.55 / 0.56
# upstream bug still exists and is under investigation, but is hidden by newer cargo
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=0

# autopkgtest-related logic
ifneq (,$(RUST_TEST_SELFBUILD))
RUST_BOOTSTRAP_DIR = /usr/lib/rust-$(RUST_VERSION)
endif

update-version:
	oldver=$(shell $(SED_RUSTC_BUILDDEP) | sed -ne 's/.*(<= \(.*\)).*/\1/gp' | $(SED_VERSION_SHORT)); \
	newver=$(RUST_VERSION); \
	debian/update-version.sh $$oldver $$newver $(RUST_LONG_VERSION) $(CARGO_NEW)

# Below we detect how we're supposed to bootstrap the stage0 compiler. See
# README.Debian for more details of the cases described below.
#
PRECONFIGURE_CHECK = :
HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
DOWNLOAD_BOOTSTRAP := false
# allow not using the binary tarball although it exists
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
#  HAVE_BINARY_TARBALL := 0
#endif
ifeq (0,$(HAVE_BINARY_TARBALL))
    # Case A (Building from source): the extracted source tree does not include
    # a bootstrapping tarball for the current architecture e.g. because the
    # distro already has a rustc for this arch, or the uploader expects that
    # this requirement be fulfilled in some other way.
    #
    # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
    # In this case, we use the distro's rustc - either the previous or current version.
    ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
        # Make it easier to test against a custom rustc
        ifneq (,$(RUST_BOOTSTRAP_DIR))
        RUST_LIBRARY_PATH := $(RUST_BOOTSTRAP_DIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_BOOTSTRAP_DIR)/usr/lib
        LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(RUST_LIBRARY_PATH),$(RUST_LIBRARY_PATH))
        export LD_LIBRARY_PATH
        endif
    #
    # Case A-2: the builder selected the "dlstage0" build profile.
    # In this case, the rust build scripts will download a stage0 into stage0/ and use that.
    # We don't need to do anything specific in this build file, so this case is empty.
    else
        DOWNLOAD_BOOTSTRAP := true
    endif
else
    # Case B (Bootstrapping a new distro): the extracted source tree does
    # include a bootstrapping tarball for the current architecture; see the
    # `source_orig-stage0` target below on how to build this.
    #
    # In this case, we'll bootstrap from the stage0 given in that tarball.
    # To ensure the uploader of the .dsc didn't make a mistake, we first check
    # that rustc isn't a Build-Depends for the current architecture.
    ifneq (,$(shell $(SED_RUSTC_BUILDDEP)))
    ifeq (,$(shell $(SED_RUSTC_BUILDDEP) | grep '!$(DEB_HOST_ARCH)'))
        PRECONFIGURE_CHECK = $(error found matches for stage0/*/*$(DEB_HOST_RUST_TYPE)*, \
          but rustc might be a Build-Depends for $(DEB_HOST_ARCH))
    endif
    endif
endif

BUILD_DOCS := true
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
  BUILD_DOCS := false
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOCS := false
endif

BUILD_WASM := false

BUILD_WINDOWS := false

MAKE_OPTIMISATIONS := true
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  MAKE_OPTIMISATIONS := false
endif

VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))

ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
  export DH_VERBOSE=1
endif

ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
  export DH_QUIET=1
.SILENT:
endif

# Build products or non-source files in src/, that shouldn't go in rust-src
SRC_CLEAN = src/bootstrap/bootstrap.pyc \
	src/bootstrap/__pycache__ \
	src/etc/__pycache__/

# Try to work around #933045
ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
endif

# List generated files
FILES_TO_PRECONFIGURE := $(wildcard debian/*.in)
FILES_TO_PRECONFIGURE_OUT := $(subst X.Y,$(RUST_VERSION),\
  $(filter-out debian/control,\
    $(patsubst %.in,%,$(FILES_TO_PRECONFIGURE))\
  )\
)
DEFINED_SRC_NAME = $(shell dpkg-parsechangelog -S Source)
DEFINED_SRC_VERSION = $(shell cut -f1 -d' ' < $(CURDIR)/version)

%:

## rustc-1.84 1.84.1%2Bdfsg0ubuntu1~bpo10

=== src/llvm-project/lldb/test/API/functionalities/multiple-slides/Makefile ===
C_SOURCES := main.c
MAKE_DSYM := NO

include Makefile.rules

# lldb has a separate bug where this test case
# does not work if we have debug info - after
# sliding the binary, the address of `first` and
# `second` are not slid for some reason on Darwin.
main.o: main.c
	$(CC) $(CFLAGS_NO_DEBUG) -c $< -o $@

=== src/llvm-project/lldb/test/API/functionalities/target-new-solib-notifications/Makefile ===
CXX_SOURCES := main.cpp
LD_EXTRAS := -L. -l_d -l_c -l_a -l_b

a.out: lib_b lib_a lib_c lib_d

include Makefile.rules

lib_a: lib_b
	$(MAKE) -f $(MAKEFILE_RULES) \
		DYLIB_ONLY=YES DYLIB_CXX_SOURCES=a.cpp DYLIB_NAME=_a \
		LD_EXTRAS="-L. -l_b"

lib_b:
	$(MAKE) -f $(MAKEFILE_RULES) \
		DYLIB_ONLY=YES DYLIB_CXX_SOURCES=b.cpp DYLIB_NAME=_b

lib_c:
	$(MAKE) -f $(MAKEFILE_RULES) \
		DYLIB_ONLY=YES DYLIB_CXX_SOURCES=c.cpp DYLIB_NAME=_c

lib_d:
	$(MAKE) -f $(MAKEFILE_RULES) \
		DYLIB_ONLY=YES DYLIB_CXX_SOURCES=d.cpp DYLIB_NAME=_d

=== src/llvm-project/lldb/test/API/commands/target/dump-separate-debug-info/dwo/Makefile ===
include Makefile.rules

a.out:
	$(CC) -target x86_64-pc-linux-elf -g -gsplit-dwarf -o $@ $(SRCDIR)/main.c $(SRCDIR)/foo.c

=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,7 @@
  
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
+export PKG_CONFIG=pkg-config
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_HOST_ARCH),riscv64)

=== debian/watch ===
version=4
# if you need to download other versions replace the URL below with this one:
# https://static.rust-lang.org/dist/channel-rust-$VERSION.toml
# and also add searchmode=plain,\
# it's a bit slower to download, that's why we use the other one normally

opts="\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/(\d)[_.+-]?((beta|alpha)\.?\d*)$/$1~$2/,\
dversionmangle=s/\+dfsg\d*$//,\
downloadurlmangle=s/https:\/\/.+?tarball\/(@ANY_VERSION@)$/https:\/\/static.rust-lang.org\/dist\/rustc-$1-src.tar.xz/,\
filenamemangle=s/@ANY_VERSION@/rustc-$1-src.tar.xz$2/,\
repack,\
repacksuffix=+dfsg1,\
compression=xz,\
searchmode=plain,\
" \
 https://api.github.com/repos/rust-lang/rust/releases?per_page=100 \
 https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## rustc-1.84 1.84.1+dfsg0ubuntu1~bpo2

=== debian/changelog ===
rustc-1.84 (1.84.1+dfsg0ubuntu1~bpo2-0ubuntu2.24.04) noble; urgency=medium

  * Backport Rust 1.84.1 to Noble (LP: #2120332)

 -- Richard Scott McNew <scott.mcnew@canonical.com>  Wed, 10 Sep 2025 16:35:05 -0600

rustc-1.84 (1.84.1+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.1 (LP: #2097189)

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 31 Jan 2025 22:39:57 -0700

=== debian/control ===
Source: rustc-1.84
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dh-cargo (>= 28ubuntu1~),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo-1.83 | cargo-1.84 <!pkg.rustc.dlstage0>,
 rustc-1.83 | rustc-1.84 <!pkg.rustc.dlstage0>,
 cmake (>= 3.0) | cmake3 (>= 3.0),
# needed by some vendor crates
 pkgconf,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# used by cargo
 bash-completion,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.7.2~~),
 libgit2-dev (<< 1.8~~),
 libhttp-parser-dev,
 libsqlite3-dev,
# Required for LLVM build
 autotools-dev,
 m4,
 ninja-build,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# Resources loaded from the docs, checked by linkchecker
 libjs-jquery <!nocheck>,
 libjs-highlight.js <!nocheck>,
 libjs-mathjax <!nocheck>,
 fonts-open-sans <!nocheck>,
 fonts-font-awesome <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
 libc6-dbg [armhf],
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 libssl-dev,
Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
Standards-Version: 4.6.2
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust

## rustc-1.84 1.84.1+dfsg0ubuntu1~bpo10

=== src/llvm-project/lldb/test/API/lang/objc/objc-static-method-stripped/Makefile ===
OBJC_SOURCES := static.m
LD_EXTRAS := -lobjc -framework Foundation

default:        a.out.stripped

a.out.stripped: a.out.dSYM
	strip -o a.out.stripped a.out
	ln -sf a.out.dSYM a.out.stripped.dSYM

include Makefile.rules

=== src/llvm-project/lldb/test/API/python_api/process/io/Makefile ===
C_SOURCES := main.c
EXE := process_io

include Makefile.rules

=== debian/changelog ===
rustc-1.84 (1.84.1+dfsg0ubuntu1~bpo10-0ubuntu4.22.04) jammy; urgency=medium

  * Backport Rust 1.84.1 to Jammy (LP: #2125617)

 -- Richard Scott McNew <scott.mcnew@canonical.com>  Thu, 25 Sep 2025 14:51:37 -0600

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
 Build-Depends:
  debhelper (>= 9),
  debhelper-compat (= 13),
- dh-cargo (>= 28ubuntu1~),
+# dh-cargo (>= 28ubuntu1~),
  dpkg-dev (>= 1.17.14),
  python3:native,
  cargo-1.83 | cargo-1.84 <!pkg.rustc.dlstage0>,
  rustc-1.83 | rustc-1.84 <!pkg.rustc.dlstage0>,
  cmake (>= 3.0) | cmake3 (>= 3.0),
 # needed by some vendor crates
- pkgconf,
+ pkg-config,
 # this is sometimes needed by rustc_llvm
  zlib1g-dev:native,
  zlib1g-dev,
@@ -29,10 +29,11 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.7.2~~),
- libgit2-dev (<< 1.8~~),
- libhttp-parser-dev,
+# libgit2-dev (>= 1.7.2~~),
+# libgit2-dev (<< 1.8~~),
+# libhttp-parser-dev,
  libsqlite3-dev,
+ libssl-dev,
 # Required for LLVM build
  autotools-dev,
  m4,

## rustc-1.84 1.84.1+dfsg0ubuntu1

=== tests/run-make/jobserver-error/Makefile ===
include ../tools.mk

# only-linux
# ignore-cross-compile

# Test compiler behavior in case environment specifies wrong jobserver.
# Note that by default, the compiler uses file descriptors 0 (stdin), 1 (stdout), 2 (stderr),
# but also 3 and 4 for either end of the ctrl-c signal handler self-pipe.

all:
	bash -c 'echo "fn main() {}" | MAKEFLAGS="--jobserver-auth=5,5" $(RUSTC)' 2>&1 | diff cannot_open_fd.stderr -
	bash -c 'echo "fn main() {}" | MAKEFLAGS="--jobserver-auth=3,3" $(RUSTC) - 3</dev/null' 2>&1 | diff not_a_pipe.stderr -

# This test randomly fails, see https://github.com/rust-lang/rust/issues/110321
disabled:
	bash -c 'echo "fn main() {}" | MAKEFLAGS="--jobserver-auth=3,3" $(RUSTC) - 3< <(cat /dev/null)' 2>&1 | diff poisoned_pipe.stderr -

=== src/tools/enzyme/enzyme/test/Enzyme/CMakeLists.txt ===
add_subdirectory(Sparse)
add_subdirectory(Truncate)
add_subdirectory(ReverseMode)
add_subdirectory(ReverseModeVector)
add_subdirectory(ForwardError)
add_subdirectory(ForwardMode)
add_subdirectory(ForwardModeSplit)
add_subdirectory(ForwardModeVector)
add_subdirectory(BatchMode)
add_subdirectory(ProbProg)
add_subdirectory(JLSimplify)

# Run regression and unit tests
add_lit_testsuite(check-enzyme "Running enzyme regression tests"
    ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ENZYME_TEST_DEPS}
    ARGS -v
)

add_lit_testsuite(check-enzyme-bench "Benchmarking enzyme regression tests"
    ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ENZYME_TEST_DEPS}
    ARGS -v --time-tests -o results.json
)


set_target_properties(check-enzyme PROPERTIES FOLDER "Tests")
set_target_properties(check-enzyme-bench PROPERTIES FOLDER "Tests")

=== src/tools/enzyme/enzyme/Enzyme/MLIR/Passes/CMakeLists.txt ===
set(LLVM_TARGET_DEFINITIONS Passes.td)
mlir_tablegen(Passes.h.inc -gen-pass-decls -name enzyme)
add_public_tablegen_target(MLIREnzymePassIncGen)
add_mlir_doc(Passes EnzymePasses ./ -gen-pass-doc)

add_mlir_dialect_library(MLIREnzymeTransforms
    EnzymeMLIRPass.cpp
    EnzymeBatchPass.cpp
    EnzymeWrapPass.cpp
    PrintActivityAnalysis.cpp
    PrintAliasAnalysis.cpp
    EnzymeToMemRef.cpp
    SimplifyMath.cpp
    AddToOpToIndexAndLoad.cpp
    AddToOpToSplit.cpp
    RemoveUnusedEnzymeOps.cpp
    SimplifyMemrefCache.cpp
    Utils.cpp
  
  ADDITIONAL_HEADER_DIRS
  ${MLIR_MAIN_INCLUDE_DIR}/mlir/Dialect/Affine

  DEPENDS
  MLIREnzymePassIncGen

  LINK_LIBS PUBLIC
  MLIRAffineDialect
  MLIRArithDialect
  MLIRAsyncDialect
  MLIRAffineUtils
  MLIRFuncDialect
  MLIRFuncTransforms
  MLIRGPUDialect
  MLIRIR
  MLIRLLVMDialect
  MLIRMathDialect
  MLIRMathToLLVM
  MLIRMemRefDialect
  MLIRNVVMDialect
  MLIRPass
  MLIRSideEffectInterfaces
  MLIRControlFlowInterfaces
  MLIRSCFToControlFlow
  MLIRTransformUtils

  MLIREnzymeAutoDiffInterface
)

=== src/tools/enzyme/enzyme/test/Enzyme/ForwardModeVector/CMakeLists.txt ===
# Run regression and unit tests
add_lit_testsuite(check-enzyme-forwardvector "Running enzyme forward mode vector regression tests"
    ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ENZYME_TEST_DEPS}
    ARGS -v
)

set_target_properties(check-enzyme-forwardvector PROPERTIES FOLDER "Tests")

#add_lit_testsuites(ENZYME ${CMAKE_CURRENT_SOURCE_DIR}
    #    DEPENDS ${ENZYME_TEST_DEPS}
#)

=== src/tools/enzyme/enzyme/test/Enzyme/Truncate/CMakeLists.txt ===
# Run regression and unit tests
add_lit_testsuite(check-enzyme-trunc "Running enzyme truncation tests"
    ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ENZYME_TEST_DEPS}
    ARGS -v
)

set_target_properties(check-enzyme-trunc PROPERTIES FOLDER "Tests")

# add_lit_testsuites(ENZYME ${CMAKE_CURRENT_SOURCE_DIR}
# DEPENDS ${ENZYME_TEST_DEPS}
# )

=== src/tools/enzyme/enzyme/test/Fortran/ReverseMode/CMakeLists.txt ===
# Run regression and unit tests
add_lit_testsuite(check-enzyme-fortran-reverse "Running enzyme reverse mode fortran integration tests"
    ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ENZYME_TEST_DEPS} LLVMEnzyme-${LLVM_VERSION_MAJOR}
    ARGS -v
)

set_target_properties(check-enzyme-fortran-reverse PROPERTIES FOLDER "Tests")

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,18 @@
 Build-Depends:
  debhelper (>= 9),
  debhelper-compat (= 13),
-# dh-cargo (>= 28ubuntu1~),
+ dh-cargo (>= 28ubuntu1~),
  dpkg-dev (>= 1.17.14),
  python3:native,
  cargo-1.83 | cargo-1.84 <!pkg.rustc.dlstage0>,
  rustc-1.83 | rustc-1.84 <!pkg.rustc.dlstage0>,
- cmake (>= 3.0) | cmake3 (>= 3.0),
+ llvm-19-dev:native,
+ llvm-19-tools:native,
+ libclang-rt-19-dev (>= 1:19.1.2),
+ libclang-common-19-dev (>= 1:19.1.2),
+ cmake (>= 3.0) | cmake3,
 # needed by some vendor crates
- pkg-config,
+ pkgconf,
 # this is sometimes needed by rustc_llvm
  zlib1g-dev:native,
  zlib1g-dev,
@@ -29,15 +33,10 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
-# libgit2-dev (>= 1.7.2~~),
-# libgit2-dev (<< 1.8~~),
-# libhttp-parser-dev,
+ libgit2-dev (>= 1.9.0~~),
+ libgit2-dev (<< 1.10~~),
+ libhttp-parser-dev,
  libsqlite3-dev,
- libssl-dev,
-# Required for LLVM build
- autotools-dev,
- m4,
- ninja-build,
 # test dependencies:
  binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
  git <!nocheck>,
@@ -55,6 +54,7 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
+ clang-19:native,
  libssl-dev,
 Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
 Standards-Version: 4.6.2
